MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::SumAccumH Class Reference
Inheritance diagram for sc::SumAccumH:

List of all members.

## Public Member Functions

| SumAccumH (StateIn &)
| SumAccumH (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | init (const Ref< Wavefunction > &)
void | accum (const RefSymmSCMatrix &h)
void | done ()
double | e ()

## Protected Attributes

int | n_
Ref< AccumH > * | accums_

## Member Function Documentation

void sc::SumAccumH::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::AccumH.

The documentation for this class was generated from the following file:

- accum.h